org.eclipse.rdf4j.console.util

## Class ConsoleRDFWriter

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter
  - - org.eclipse.rdf4j.console.util.ConsoleRDFWriter

- All Implemented Interfaces:
    Sink, RDFHandler, RDFWriter

      public class ConsoleRDFWriter
      extends AbstractRDFWriter

  Write query results to console
  Author:
    Bart Hanssens

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter

      `namespaceTable, statementConsumer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsoleRDFWriter(ConsoleIO consoleIO, int consoleWidth)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consumeStatement(Statement st)` Consume a statement.
    `void` | `endRDF()` Signals the end of the RDF data.
    `RDFFormat` | `getRDFFormat()` Gets the RDF format that this RDFWriter uses.
    `void` | `handleComment(String comment)` Handles a comment.
    `void` | `handleNamespace(String prefix, String uri)` Handles a namespace declaration/definition.

    - ### Methods inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter

      `checkWritingStarted, getFileFormat, getSupportedSettings, getWriterConfig, handleStatement, isWritingStarted, set, setWriterConfig, startRDF`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.io.Sink

      `acceptsFileFormat`

- - ### Constructor Detail

    - #### ConsoleRDFWriter

          public ConsoleRDFWriter(ConsoleIO consoleIO,
                                  int consoleWidth)

      Constructor
      Parameters:
        `consoleIO` -
        `consoleWidth` - console width

  - ### Method Detail

    - #### handleNamespace

          public void handleNamespace(String prefix,
                                      String uri)
                               throws QueryResultHandlerException

      Description copied from interface: `RDFHandler`
      Handles a namespace declaration/definition. A namespace declaration associates a (short) prefix string with the namespace's URI. The prefix for default namespaces, which do not have an associated prefix, are represented as empty strings.
      Specified by:
        `handleNamespace` in interface `RDFHandler`
      Overrides:
        `handleNamespace` in class `AbstractRDFWriter`
      Parameters:
        `prefix` - The prefix for the namespace, or an empty string in case of a default namespace.
        `uri` - The URI that the prefix maps to.
      Throws:
        `QueryResultHandlerException`

    - #### getRDFFormat

          public RDFFormat getRDFFormat()

      Description copied from interface: `RDFWriter`
      Gets the RDF format that this RDFWriter uses.

    - #### endRDF

          public void endRDF()
                      throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Signals the end of the RDF data. This method is called when all data has been reported.
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### consumeStatement

          public void consumeStatement(Statement st)
                                throws RDFHandlerException

      Description copied from class: `AbstractRDFWriter`
      Consume a statement. Extending classes must override this method instead of overriding `AbstractRDFWriter.handleStatement(Statement)` in order to benefit from automatic handling of RDF-star conversion or encoding.
      Overrides:
        `consumeStatement` in class `AbstractRDFWriter`
      Parameters:
        `st` - the statement to consume.
      Throws:
        `RDFHandlerException`

    - #### handleComment

          public void handleComment(String comment)
                             throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Handles a comment.
      Parameters:
        `comment` - The comment.
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.